### Virtual Method

# Ide WorkbenchAddin vcs_changed

#### Declaration

    void
    vcs_changed (
      IdeWorkbenchAddin* self,
      IdeVcs* vcs
    )

#### Description

This function notifies an `IdeWorkbenchAddin` that the version control system has changed. This happens when `ide_workbench_set_vcs()` is called or after an addin is loaded.

This is helpful for plugins that want to react to VCS changes such as changing branches, or tracking commits.

Available since: | 3.32

#### Parameters

`vcs` | `IdeVcs`
| An `IdeVcs`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.